Add context items
curl --request POST \
--url https://api.example.com/talk2data/chat/sessions/{session_id}/context \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-project-id: <x-project-id>' \
--data '
{
"datasources": [
{
"resource_uri": "<string>",
"datasource_name": "<string>",
"type": "datasource",
"datasource_type": "database",
"datasource_description": "<string>",
"created_at": "<string>",
"selected_schemas": [
{
"schema_name": "<string>",
"schema_fqn": "<string>",
"selected_tables": [
{
"table_name": "<string>",
"table_fqn": "<string>"
}
]
}
]
}
],
"artifacts": [
{
"resource_uri": "<string>",
"artifact_type": "<string>",
"artifact_title": "<string>",
"created_at": "<string>"
}
],
"attachments": [
{
"resource_uri": "<string>",
"filename": "<string>",
"content_type": "<string>"
}
]
}
'import requests
url = "https://api.example.com/talk2data/chat/sessions/{session_id}/context"
payload = {
"datasources": [
{
"resource_uri": "<string>",
"datasource_name": "<string>",
"type": "datasource",
"datasource_type": "database",
"datasource_description": "<string>",
"created_at": "<string>",
"selected_schemas": [
{
"schema_name": "<string>",
"schema_fqn": "<string>",
"selected_tables": [
{
"table_name": "<string>",
"table_fqn": "<string>"
}
]
}
]
}
],
"artifacts": [
{
"resource_uri": "<string>",
"artifact_type": "<string>",
"artifact_title": "<string>",
"created_at": "<string>"
}
],
"attachments": [
{
"resource_uri": "<string>",
"filename": "<string>",
"content_type": "<string>"
}
]
}
headers = {
"x-project-id": "<x-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-project-id': '<x-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
datasources: [
{
resource_uri: '<string>',
datasource_name: '<string>',
type: 'datasource',
datasource_type: 'database',
datasource_description: '<string>',
created_at: '<string>',
selected_schemas: [
{
schema_name: '<string>',
schema_fqn: '<string>',
selected_tables: [{table_name: '<string>', table_fqn: '<string>'}]
}
]
}
],
artifacts: [
{
resource_uri: '<string>',
artifact_type: '<string>',
artifact_title: '<string>',
created_at: '<string>'
}
],
attachments: [{resource_uri: '<string>', filename: '<string>', content_type: '<string>'}]
})
};
fetch('https://api.example.com/talk2data/chat/sessions/{session_id}/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasources": [
{
"resource_uri": "<string>",
"datasource_name": "<string>",
"type": "datasource",
"datasource_type": "database",
"datasource_description": "<string>",
"created_at": "<string>",
"selected_schemas": [
{
"schema_name": "<string>",
"schema_fqn": "<string>",
"selected_tables": [
{
"table_name": "<string>",
"table_fqn": "<string>"
}
]
}
]
}
],
"artifacts": [
{
"resource_uri": "<string>",
"artifact_type": "<string>",
"artifact_title": "<string>",
"created_at": "<string>"
}
],
"attachments": [
{
"resource_uri": "<string>",
"filename": "<string>",
"content_type": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}chat-sessions
Add context items
Add or update datasources, artifacts, and/or attachments on a session. Upserts by (type, resource_uri). Returns the full updated context. 403 if not owned, 404 if not found.
POST
/
talk2data
/
chat
/
sessions
/
{session_id}
/
context
Add context items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Project identifier
Path Parameters
Session ID
Body
application/json
Add one or more context items to a session (POST .../context).
Was this page helpful?
⌘I

